# Release Notes v0.11.0 : Qualitative Analysis with BDD and ZBDD

This release implements qualitative analysis with BDD and ZBDD facilities.


## Major Changes

- Fault tree analysis with BDD (#121)
- Fault tree analysis with ZBDD (#126)
- ZBDD for MOCUS (#124)
    * 10-100x speed improvement
    * 3-30x better memory utilization
    * Decreased performance sensitivity on approximations
- Calculation of Prime Implicants (#122)


## Minor Changes

- The BDD-based algorithm is the default analysis algorithm.
- The MOCUS and ZBDD algorithms run with the rare-event approximation by default.
- Modules are analyzed only as needed (lazy) with adjusted cut-offs.
- ``scram --validate`` is silent on success.
- New web address: http://scram-pra.org


## Bug Fixes

- Improper cut set minimization in MOCUS
  when modules in a cut set are Unity sets.


## Since v0.10.0

169 commits resulted in  138 files changed, 7762 insertions(+), 4524 deletions(-)

- Core : 51 files changed, 2993 insertions(+), 2227 deletions(-)
- Scripts : 6 files changed, 371 insertions(+), 144 deletions(-)
- GUI : no change
- Tests :  36 files changed, 882 insertions(+), 831 deletions(-)
- Documentation :  20 files changed, 908 insertions(+), 571 deletions(-)
